Loading...
Searching...
No Matches
Dune::TypeTree::LeafNode Class Reference
dune-typetree » Nodes

Base class for leaf nodes in a dune-typetree. More...

`#include <dune/typetree/leafnode.hh>`

## Public Types

typedef LeafNodeTag | NodeTag
| The type tag that describes a LeafNode.

## Static Public Member Functions

static constexpr auto | degree ()

## Static Public Attributes

static const bool | isLeaf = true
| Mark this class as a leaf in a dune-typetree.
static const bool | isPower = false
| Mark this class as a non power in the dune-typetree.
static const bool | isComposite = false
| Mark this class as a non composite in the dune-typetree.

## Protected Member Functions

| LeafNode ()
| Default constructor.

## Detailed Description

Base class for leaf nodes in a dune-typetree.

Every leaf type in a dune-typetree must be derived from this class.

## Member Typedef Documentation

## NodeTag

typedef LeafNodeTag Dune::TypeTree::LeafNode::NodeTag

The type tag that describes a LeafNode.

## Constructor & Destructor Documentation

## LeafNode()

Dune::TypeTree::LeafNode::LeafNode | ( |  | ) |

inline protected

Default constructor.

The default constructor is protected, as LeafNode is a utility class that needs to be filled with meaning by subclassing it and adding useful functionality to the subclass.

## Member Function Documentation

## degree()

constexpr auto Dune::TypeTree::LeafNode::degree | ( |  | ) |

inline static constexpr

## Member Data Documentation

## isComposite

const bool Dune::TypeTree::LeafNode::isComposite = false

static

Mark this class as a non composite in the dune-typetree.

## isLeaf

const bool Dune::TypeTree::LeafNode::isLeaf = true

static

Mark this class as a leaf in a dune-typetree.

## isPower

const bool Dune::TypeTree::LeafNode::isPower = false

static

Mark this class as a non power in the dune-typetree.

The documentation for this class was generated from the following file:

- leafnode.hh